/*
* name: altai_off
* Title: Altai Off
* Version: v1.0.0
* Description: Disable anchor href attributes.
*
*/
(function($, window, document) {
  return $.fn.extend({
    altaiOff: function(options) {
      var action, log, obj, settings;
      obj = $(this);
      settings = {
        debug: false
      };
      settings = $.extend(settings, options);
      log = function(msg) {
        if (settings.debug) {
          return typeof console !== "undefined" && console !== null ? console.log(msg) : void 0;
        }
      };
      action = function() {
        return obj.each(function() {
          return $(this).on("click", function(e) {
            e.preventDefault();
            e.stopPropagation();
            return log("Off Activated");
          });
        });
      };
      if (obj.length > 0) {
        return this.each(function() {
          return action();
        });
      }
    }
  });
})(jQuery, window, document);
